Summary:          Utility to cool Athlon processor during idle on Via KT133 or KX133 chipsets 
Name:             lvcool
Epoch:            0
# Upstream has no version, tarball repacked
Version:          1.0.0
Release:          0.fdr.1.rh80
URL:              http://vcool.occludo.net/VC_Linux.html
License:          GPL
Group:            System Environment/Daemons 
Source0:          lvcool-1.0.0.tar.gz
Patch0:           lvcool-g++.patch 
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root

%description

LVCool dramatically reduces the processor temperature during idle for
Athlon processors running on VIA KT133 or similar chipsets. It sets 
the Northbridge's "enable bus disconnect on STPGNT" bit and enters an 
idle loop that puts the CPU into STPGNT state.  This approach to
temperature reduction is a hack, it is better to use an ACPI kernel.

#---------------------------------------------------------------------

%prep
%setup
%patch0 -p1

#---------------------------------------------------------------------

%build
make

#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 lvcool %{buildroot}%{_bindir}/lvcool

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%{_bindir}/*

#---------------------------------------------------------------------

%changelog
* Sun Mar 30 2003 Warren Togami <warren@togami.com> - 1.0.0-0.fdr.1
- Initial RPM release.
